Bug 1004131 - WebDAV does not work with some passwords
WebDAV does not work with some passwords
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: owncloud (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Adam Williamson (Fedora)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-03 22:58 EDT by Štefan Gurský
Modified: 2015-01-06 01:06 EST (History)
3 users (show)

See Also:
Fixed In Version: owncloud-7.0.4-2.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-01-06 01:06:31 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Štefan Gurský 2013-09-03 22:58:02 EDT
Description of problem:
I created user with password "AQ<p1)`eF\(',ry@,K&n" and I could not use webdav (http://localhost/owncloud/remote.php/webdav/). After changing password to one containing only letters (e.g: "asdfg"), WebDAV started working.

When I was logged in via web interface (http://localhost/owncloud/), I could browse http://localhost/owncloud/remote.php/webdav/ in the same browser.


Version-Release number of selected component (if applicable):
Name        : owncloud
Version     : 4.5.13
Release     : 3.fc19
Architecture: noarch

(in case it is bug in sabredav)

Name        : php-sabredav-Sabre
Version     : 1.0.0
Release     : 9.fc19
Architecture: noarch

Name        : php-sabredav-Sabre_DAV
Version     : 1.6.5
Release     : 5.fc19
Architecture: noarch


Steps to Reproduce:
1. set user password to "AQ<p1)`eF\(',ry@,K&n"
2. try using webdav (e.g.: $ cadaver http://localhost/owncloud/remote.php/webdav/)


Actual results:
Error (wrong password).

Expected results:
Working DAV

Additional info:
I checked, that password sent to owncloud was correct using wireshark:

GET /owncloud/remote.php/webdav/ HTTP/1.1
Host: localhost
Connection: close
Authorization: Basic c3RldmtvOkFRPHAxKWBlRlwoJyxyeUAsSyZu
Comment 1 Fedora Admin XMLRPC Client 2014-08-08 13:02:50 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 2 Fedora Admin XMLRPC Client 2014-08-08 15:28:37 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 3 Adam Williamson 2014-10-29 20:24:23 EDT
I can't be sure, but https://github.com/fruux/sabre-vobject/issues/94 could *possibly* fix this. I'm meaning to bump VObject to 2.1.5 some time soon.

Of course, it could be something older, too. If you still have the affected config, and you can afford to (back it up! and) try an updates-testing package on it, can you try with the OC 5 I sent to updates-testing for F19 yesterday? Thanks!
Comment 4 Štefan Gurský 2014-12-08 13:33:35 EST
I do not have F19 anymore, but on F20 this bug is gone.

Name        : owncloud
Version     : 7.0.3
Release     : 3.fc20
Architecture: noarch
Comment 5 Adam Williamson 2014-12-08 13:38:08 EST
Cool. I'm going to try and get F19 up to OC 7 over the next month before it goes EOL, so I guess I'll close this along the way. Thanks for the info.
Comment 6 Fedora Update System 2014-12-27 16:47:19 EST
owncloud-7.0.4-2.fc19,php-doctrine-dbal-2.4.2-6.fc19,php-google-apiclient-1.0.6-0.3.beta.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/owncloud-7.0.4-2.fc19,php-doctrine-dbal-2.4.2-6.fc19,php-google-apiclient-1.0.6-0.3.beta.fc19
Comment 7 Fedora Update System 2014-12-29 04:59:38 EST
Package owncloud-7.0.4-2.fc19, php-doctrine-dbal-2.4.2-6.fc19, php-google-apiclient-1.0.6-0.3.beta.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing owncloud-7.0.4-2.fc19 php-doctrine-dbal-2.4.2-6.fc19 php-google-apiclient-1.0.6-0.3.beta.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-17672/owncloud-7.0.4-2.fc19,php-doctrine-dbal-2.4.2-6.fc19,php-google-apiclient-1.0.6-0.3.beta.fc19
then log in and leave karma (feedback).
Comment 8 Fedora Update System 2015-01-06 01:06:31 EST
owncloud-7.0.4-2.fc19, php-doctrine-dbal-2.4.2-6.fc19, php-google-apiclient-1.0.6-0.3.beta.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.